diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieFilmeVonAZ.py trunk/lib/plugins/movie/PluginMovieFilmeVonAZ.py
--- griffith-0.13/lib/plugins/movie/PluginMovieFilmeVonAZ.py	2010-07-18 22:23:16.000000000 +0300
+++ trunk/lib/plugins/movie/PluginMovieFilmeVonAZ.py	2014-01-06 22:10:52.551678262 +0200
@@ -1,8 +1,8 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieFilmeVonAZ.py 1437 2010-07-18 11:37:02Z mikej06 $'
+__revision__ = '$Id: PluginMovieFilmeVonAZ.py 1651 2013-09-27 19:48:00Z mikej06 $'
 
-# Copyright (c) 2006-2010 Michael Jahn
+# Copyright (c) 2006-2013 Michael Jahn
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -32,7 +32,7 @@
 plugin_language = _("German")
 plugin_author = "Michael Jahn"
 plugin_author_email = "<mikej06@hotmail.com>"
-plugin_version = "1.4"
+plugin_version = "1.6"
 
 class Plugin(movie.Movie):
     def __init__(self, id):
@@ -40,64 +40,50 @@
         self.movie_id = id
         self.url = 'http://www.zweitausendeins.de/filmlexikon/?sucheNach=titel&wert=' + str(self.movie_id)
 
-    def initialize(self):
-        url = 'http://www.zweitausendeins.de/getimage/?imageNo=0&movieNo=' + str(self.movie_id)
-        self.imagelinks = self.open_page(self.parent_window, url=url)
-
     def get_image(self):
-        if string.find(self.imagelinks, '|') > 0:
-            self.image_url = gutils.before(self.imagelinks, '|')
+        self.image_url = ''
+        url = url = gutils.trim(gutils.trim(self.page, 'class="film-image"', '>'), 'http://', ')')
+        if url:
+            self.image_url = 'http://' + url
 
     def get_o_title(self):
-        self.o_title = gutils.clean(gutils.after(
-            gutils.regextrim(self.page, 'class="text_ergebniss_faz_3"', '[ \t]+[(]Originaltitel[)]'), '</a>'))
-        p1 = string.rfind(self.o_title, ',')
-        if p1 > 0:
-            self.o_title = self.o_title[p1 + 1:]
-        self.o_title = string.capwords(self.o_title)
-        if self.o_title == '':
-            self.o_title = gutils.after(gutils.trim(self.page, 'class="text_ergebniss_faz_3"', '</a>'), '>')
+        self.o_title = string.capwords(gutils.clean(gutils.regextrim(self.page, '<b>Originaltitel:', '(</p>|<b>)')))
+        if not self.o_title:
+            self.o_title = gutils.after(gutils.trim(self.page, 'class=\'film-titel\'', '</h1>'), '>')
 
     def get_title(self):
-        self.title = gutils.after(gutils.trim(self.page, 'class="text_ergebniss_faz_3"', '</a>'), '>')
+        self.title = gutils.after(gutils.trim(self.page, 'class=\'film-titel\'', '</h1>'), '>')
 
     def get_director(self):
-        self.director = gutils.after(gutils.trim(self.page, '(Regie)', '</span>'), '>')
-        self.director = re.sub(',[ ]*$', '', self.director)
+        self.director = gutils.trim(self.page, '<b>Regie:', '</p>')
 
     def get_plot(self):
-        self.plot = gutils.after(gutils.trim(self.page, 'Inhalt des Films:', '</td>'), '</div>')
+        self.plot = gutils.after(gutils.trim(self.page, 'class=\'film-text\'', '</p>'), '>')
 
     def get_year(self):
-        self.year = gutils.after(gutils.trim(self.page, 'sucheNach=produktionsjahr', '</a>'), '>')
+        self.year = gutils.after(gutils.trim(self.page, '<b>Produktionsjahr:', '<br/>'), '>')
 
     def get_runtime(self):
-        self.runtime = gutils.trim(self.page, 'L&auml;nge: ', ' Minuten')
+        self.runtime = gutils.trim(self.page, '<b>Länge:', '<br/>')
 
     def get_genre(self):
-        elements = string.split(self.page, 'sucheNach=genre')
-        if (elements[0]<>''):
-            elements[0] = ''
-            self.delimiter = ''
+        self.genre = gutils.after(gutils.trim(self.page, 'class=\'film-angaben\'', '</p>'), '>')
+        if ':' in self.genre:
             self.genre = ''
-            for element in elements:
-                if (element <> ''):
-                    self.genre += self.delimiter + gutils.trim(element, '>', '</a>')
-                    self.delimiter = ", "
 
     def get_cast(self):
-        self.cast = gutils.regextrim(self.page, '[(]Darsteller[)]', '(</td>|<br><span[^>]+>)')
+        self.cast = gutils.trim(self.page, '<b>Darsteller:', '</p>')
         self.cast = gutils.clean(self.cast)
-        self.cast = self.cast.replace(' als ', _(' as '))
-        self.cast = re.sub('( \t|\t|\r|\n)', '', self.cast)
-        self.cast = self.cast.replace(',', '\n')
+        self.cast = self.cast.replace(' (', _(' as '))
+        self.cast = self.cast.replace('), ', '\n')
+        self.cast = self.cast.replace(')', '')
 
     def get_classification(self):
-        self.classification = gutils.regextrim(self.page, 'FSK:[ ]+', '[,;]')
+        self.classification = gutils.regextrim(self.page, '<b>FSK:[ ]*', '(<br/>|[,;])')
 
     def get_studio(self):
-        self.studio = gutils.after(gutils.trim(self.page, 'sucheNach=produktionsfirma', '</span>'), '>')
-        self.studio = string.replace(self.studio, '/', ',')
+        self.studio = gutils.after(gutils.trim(self.page, '<b>Produktionsfirma:', '<br/>'), '>')
+        self.studio = string.replace(self.studio, '/', ', ')
         self.studio = re.sub(',[ ]*$', '', self.studio)
 
     def get_o_site(self):
@@ -110,64 +96,64 @@
         self.trailer = ''
 
     def get_country(self):
-        self.country = gutils.after(gutils.trim(self.page, 'sucheNach=produktionsland', '</span>'), '>')
+        self.country = gutils.after(gutils.trim(self.page, '<b>Produktionsland:', '<br/>'), '>')
         self.country = re.sub(',[ ]*$', '', self.country)
-        self.country = string.replace(self.country, '/', ',')
+        self.country = string.replace(self.country, '/', ', ')
 
     def get_rating(self):
         self.rating = 0
 
     def get_screenplay(self):
-        self.screenplay = gutils.trim(self.page, '(Drehbuch)', '</span>')
+        self.screenplay = gutils.trim(self.page, '<b>Drehbuch:', '</p>')
         self.screenplay = re.sub(',[ ]*$', '', self.screenplay)
 
     def get_cameraman(self):
-        self.cameraman = gutils.trim(self.page, '(Kamera)', '</span>')
+        self.cameraman = gutils.trim(self.page, '<b>Kamera:', '</p>')
         self.cameraman = re.sub(',[ ]*$', '', self.cameraman)
 
 class SearchPlugin(movie.SearchMovie):
     def __init__(self):
-        self.original_url_search = "http://www.zweitausendeins.de/filmlexikon/?sucheNach=Titel&wert="
-        self.translated_url_search = "http://www.zweitausendeins.de/filmlexikon/?sucheNach=Titel&wert="
+        self.original_url_search = "http://www.zweitausendeins.de/filmlexikon/"
+        self.translated_url_search = "http://www.zweitausendeins.de/filmlexikon/"
         self.encode = 'utf-8'
+        self.useurllib2 = True
+        self.usepostrequest = True
 
     def search(self,parent_window):
         if not self.open_search(parent_window):
             return None
         # used for looking for subpages
-        tmp_page = gutils.trim(self.page, '<span class="trefferliste">', '</span>')
+        tmp_page = gutils.trim(self.page, '<li>Treffer', '</div>')
         elements = string.split(tmp_page, 'cp=')
         # first results
-        tmp_page = gutils.after(gutils.trim(self.page, 'Alle Treffer aus der Kategorie', '<span class="trefferliste">'), "Titel:")
+        tmp_page = gutils.trim(self.page, '<ul class=\'film-liste\'>', '</ul>')
         # look for subpages
         for element in elements:
-            element = gutils.before(element, '"')
+            element = gutils.before(element, '\'')
             try:
                 tmp_element = int(element)
             except:
                 tmp_element = 1
             if tmp_element != 1:
-                self.url = 'http://www.zweitausendeins.de/filmlexikon/?sucheNach=Titel&cp=' + str(tmp_element) + "&wert="
+                self.url = 'http://www.zweitausendeins.de/filmlexikon/?sucheNach=filmtitel&cp=' + str(tmp_element) + "&wert="
                 if self.open_search(parent_window):
-                    tmp_page2 = gutils.trim(self.page, 'Alle Treffer aus der Kategorie', '<span class="trefferliste">')
+                    tmp_page2 = gutils.trim(self.page, '<ul class=\'film-liste\'>', '</ul>')
                     tmp_page = tmp_page + tmp_page2
         self.page = tmp_page
 
         return self.page
 
     def get_searches(self):
-        elements = string.split(self.page, '<div class="text_ergebniss_faz_3"')
+        elements = string.split(self.page, '<h2 class=\'film-titel\'>')
         i = 1
         while i < len(elements):
             element = elements[i]
             i = i + 1
-            self.ids.append(gutils.trim(element, 'filmlexikon/?wert=', '&'))
-            self.titles.append(string.strip(gutils.clean(
-                        gutils.trim(element, '>', '</a>') + ' (' +
-                        string.capwords(gutils.trim(element, '</a>', '(Originaltitel)')) + ', ' +
-                        gutils.after(gutils.trim(element, 'sucheNach=produktionsland', '</a>'), '>') + ', ' +
-                        gutils.after(gutils.trim(element, 'sucheNach=produktionsjahr', '</a>'), '>') +
-                        ')')))
+            self.ids.append(gutils.trim(element, 'wert=', '\''))
+            self.titles.append(gutils.trim(element, '>', '</a>'))
+
+    def get_postdata(self):
+        return {'sucheNach' : 'filmtitel', 'wert' : self.title }
 
 #
 # Plugin Test
@@ -178,9 +164,9 @@
     # dict { movie_id -> [ expected result count for original url, expected result count for translated url ] }
     #
     test_configuration = {
-        'Rocky'                : [ 15, 15 ],
+        'Rocky'                : [ 17, 17 ],
         'Arahan'               : [ 1, 1 ],
-        'Ein glückliches Jahr' : [ 0, 0 ]
+        'Ein glückliches Jahr' : [ 1, 1 ]
     }
 
 class PluginTest:
@@ -197,13 +183,13 @@
             'o_title'           : 'Rocky Balboa',
             'director'          : 'Sylvester Stallone',
             'plot'              : True,
-            'cast'              : 'A.J. Benza' + _(' as ') + 'L.C.\n\
-Milo Ventimiglia' + _(' as ') + 'Rocky jr.\n\
+            'cast'              : 'Sylvester Stallone' + _(' as ') + 'Rocky Balboa\n\
+Burt Young' + _(' as ') + 'Paulie\n\
 Antonio Tarver' + _(' as ') + 'Mason \'The Line\' Dixon\n\
 Geraldine Hughes' + _(' as ') + 'Marie\n\
-Sylvester Stallone' + _(' as ') + 'Rocky Balboa\n\
-Burt Young' + _(' as ') + 'Paulie\n\
-Tony Burton' + _(' as ') + 'Duke',
+Milo Ventimiglia' + _(' as ') + 'Rocky jr.\n\
+Tony Burton' + _(' as ') + 'Duke\n\
+A.J. Benza' + _(' as ') + 'L.C.',
             'country'           : 'USA',
             'genre'             : 'Boxerfilm',
             'classification'    : 'ab 12',
@@ -217,25 +203,25 @@
             'image'             : True,
             'rating'            : False,
             'screenplay'        : 'Sylvester Stallone',
-            'cameraman'         : 'J. Clark Mathis',
+            'cameraman'         : 'Clark Mathis',
         },
         '26956' : { 
             'title'             : 'Bürgschaft für ein Jahr',
             'o_title'           : 'Bürgschaft für ein Jahr',
             'director'          : 'Herrmann Zschoche',
             'plot'              : True,
-            'cast'              : 'Heide Kipp' + _(' as ') + 'Frau Braun\n\
-Jan Spitzer' + _(' as ') + 'Werner Horn\n\
+            'cast'              : 'Katrin Saß' + _(' as ') + 'Nina\n\
 Monika Lennartz' + _(' as ') + 'Irmgard Behrend\n\
-Katrin Saß' + _(' as ') + 'Nina\n\
-Ursula Werner' + _(' as ') + 'Frau Müller\n\
-Christian Steyer' + _(' as ') + 'Heiner Menk\n\
 Jaecki Schwarz' + _(' as ') + 'Peter Müller\n\
-Barbara Dittus' + _(' as ') + 'Heimleiterin',
+Christian Steyer' + _(' as ') + 'Heiner Menk\n\
+Jan Spitzer' + _(' as ') + 'Werner Horn\n\
+Heide Kipp' + _(' as ') + 'Frau Braun\n\
+Barbara Dittus' + _(' as ') + 'Heimleiterin\n\
+Ursula Werner' + _(' as ') + 'Frau Müller',
             'country'           : 'DDR',
             'genre'             : 'Arbeiterfilm, Frauenfilm, Literaturverfilmung',
             'classification'    : 'ab 6',
-            'studio'            : 'DEFA, Gruppe "Berlin"',
+            'studio'            : 'DEFA, Gruppe Berlin""',
             'o_site'            : False,
             'site'              : 'http://www.zweitausendeins.de/filmlexikon/?sucheNach=titel&wert=26956',
             'trailer'           : False,
@@ -254,9 +240,9 @@
             'plot'              : True,
             'cast'              : 'Ryu Seung-beom' + _(' as ') + 'Sang-hwan\n\
 Yoon So-yi' + _(' as ') + 'Wi-jin\n\
-Yun Ju-sang' + _(' as ') + 'Mu-woon\n\
 Ahn Sung-kee' + _(' as ') + 'Ja-woon\n\
-Jung Doo-hong' + _(' as ') + 'Heukwoon',
+Jung Doo-hong' + _(' as ') + 'Heukwoon\n\
+Yun Ju-sang' + _(' as ') + 'Mu-woon',
             'country'           : 'Südkorea',
             'genre'             : False,
             'classification'    : 'ab 16',
@@ -269,7 +255,7 @@
             'runtime'           : 108,
             'image'             : False,
             'rating'            : False,
-            'screenplay'        : 'Ryoo Seung-wan',
+            'screenplay'        : 'Eun Ji-hie, Ryoo Seung-wan, Yu Seon-dong',
             'cameraman'         : 'Lee Jun-gyu',
         }
     }
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieFilmtipset.py trunk/lib/plugins/movie/PluginMovieFilmtipset.py
--- griffith-0.13/lib/plugins/movie/PluginMovieFilmtipset.py	2011-05-18 20:11:58.000000000 +0300
+++ trunk/lib/plugins/movie/PluginMovieFilmtipset.py	2013-07-27 18:37:05.673547595 +0300
@@ -70,7 +70,7 @@
     def get_genre(self):
         self.genre = string.strip(gutils.trim(self.page, 'Nyckelord:', '</tr>'))
         if self.genre == '':
-            self.genre = string.strip(gutils.trim(self.page, 'Genre:', '</tr>'))
+            self.genre = string.strip(gutils.trim(self.page, 'Genre:</h2>', '</tr>'))
 
     def get_cast(self):
         self.cast = gutils.regextrim(self.page, 'Sk&aring;despelare[^:]*[:]', '</tr>')
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieFilmweb.py trunk/lib/plugins/movie/PluginMovieFilmweb.py
--- griffith-0.13/lib/plugins/movie/PluginMovieFilmweb.py	2011-12-18 21:11:57.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieFilmweb.py	2013-07-27 18:37:05.670214115 +0300
@@ -1,8 +1,8 @@
 ﻿# -*- coding: utf-8 -*-
 
-__revision__ = '$Id: PluginMovieFilmweb.py 1602 2011-12-18 19:11:55Z piotrek $'
+__revision__ = '$Id: PluginMovieFilmweb.py 1615 2012-01-10 20:58:15Z piotrek $'
 
-# Copyright (c) 2005-2011 Piotr Ożarowski
+# Copyright (c) 2005-2012 Piotr Ożarowski
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -27,12 +27,12 @@
 plugin_name = 'Filmweb'
 plugin_description = 'Web pełen filmów'
 plugin_url = 'filmweb.pl'
-plugin_url_other = 'm.filmweb.pl'
+plugin_url_other = 'filmweb.pl'
 plugin_server = '193.200.227.13'
 plugin_language = _('Polish')
 plugin_author = 'Piotr Ożarowski, Bartosz Kurczewski, Mariusz Szczepanek'
 plugin_author_email = '<mariusz2806@gmail.com>'
-plugin_version = '1.28'
+plugin_version = '1.29'
 
 
 class Plugin(movie.Movie):
@@ -50,11 +50,14 @@
 
     def get_o_title(self):
         self.url = self.url.replace(plugin_server, plugin_url)
-        self.o_title = gutils.trim(self.page, '<title>', '</title>')
-        if self.o_title.find('/') > -1:
-            self.o_title = gutils.trim(self.o_title, '/', '(')
-        if self.o_title.find('(') > -1:
-            self.o_title = gutils.before(self.o_title, '(')
+        self.o_title = gutils.trim(self.page, '<h2 class=origTitle>', '</h2>')
+        self.o_title = gutils.after(self.o_title, '</span>')
+        if self.o_title == '':
+            self.o_title = gutils.trim(self.page, '<title>', '</title>')
+            if self.o_title.find('(') > -1:
+                self.o_title = gutils.before(self.o_title, '(')
+            if self.o_title.find('/') > -1:
+                self.o_title = gutils.before(self.o_title, '/')
 
     def get_title(self):
         self.url = self.url.replace(plugin_server, plugin_url)
@@ -68,20 +71,12 @@
         self.director = gutils.trim(self.page, "reżyseria:", '</tr>')
         self.director = gutils.after(self.director, '</th>')
         self.director = self.director.replace("(więcej...)", '')
-        self.director = self.director.replace('  ', '\t')
-        self.director = self.director.replace("\t ", '')
-        self.director = self.director.replace("\t", '')
-        self.director = self.director.replace(',', ', ')
         self.director = gutils.strip_tags(self.director)
 
     def get_screenplay(self):
         self.screenplay = gutils.trim(self.page, "scenariusz:", '</tr>')
         self.screenplay = gutils.after(self.screenplay, '</th>')
         self.screenplay = self.screenplay.replace("(więcej...)", '')
-        self.screenplay = self.screenplay.replace('  ', '\t')
-        self.screenplay = self.screenplay.replace("\t ", '')
-        self.screenplay = self.screenplay.replace("\t", '')
-        self.screenplay = self.screenplay.replace(',', ', ')
         self.screenplay = gutils.strip_tags(self.screenplay)
 
     def get_plot(self):
@@ -114,26 +109,16 @@
 
     def get_genre(self):
         self.genre = gutils.trim(self.page, "gatunek:", '</tr>')
-        self.genre = self.genre.replace("\t", '')
-        self.genre = self.genre.replace("\n", '')
-        self.genre = self.genre.replace('  ', '')
-        self.genre = self.genre.replace(',', ', ')
 
     def get_cast(self):
         self.cast = gutils.trim(self.page, '<div class="castListWrapper cl">', '<div class="additional-info comBox">')
-        url = gutils.after(self.cast, '</ul>')
-        url = gutils.trim(url, 'href="', '"')
         self.cast = gutils.before(self.cast, '</ul>')
-        self.cast = self.cast.replace(chr(13), '')
-        self.cast = self.cast.replace(chr(10), '')
-        self.cast = self.cast.replace("  ", '\t')
-        self.cast = self.cast.replace("\t ", '')
-        self.cast = self.cast.replace('\t', '')
-        self.cast = self.cast.replace(" (", '(')
-        self.cast = self.cast.replace('(', " (")
+        self.cast = self.cast.replace('</span> ', '')
         self.cast = self.cast.replace('<div>', _(" as "))
         self.cast = self.cast.replace('</li>', "\n")
-        self.cast = self.cast.replace('</span> ', '')
+        self.cast = gutils.strip_tags(self.cast)
+        self.cast = self.cast.replace('   ', '')
+        self.cast = self.cast.replace('  ', ' ')
 
     def get_classification(self):
         self.classification = ''
@@ -151,11 +136,7 @@
         self.trailer = ''
 
     def get_country(self):
-        self.country = gutils.trim(self.page, '<dt>kraj', '</dd>')
-        self.country = self.country.replace('  ', '')
-        self.country = self.country.replace("e:", '')
-        self.country = self.country.replace(":", '')
-        self.country = self.country.replace("\t", '')
+        self.country = gutils.trim(self.page, 'produkcja:', '</tr>')
 
     def get_rating(self):
         self.rating = gutils.trim(self.page, '<div class=rates>', '</div>')
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieHKMDB.py trunk/lib/plugins/movie/PluginMovieHKMDB.py
--- griffith-0.13/lib/plugins/movie/PluginMovieHKMDB.py	2011-12-19 00:35:27.000000000 +0200
+++ trunk/lib/plugins/movie/PluginMovieHKMDB.py	2013-07-27 18:37:05.686881516 +0300
@@ -1,6 +1,6 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieHKMDB.py 1605 2011-12-18 22:35:25Z piotrek $'
+__revision__ = '$Id: PluginMovieHKMDB.py 1633 2012-12-28 23:11:42Z mikej06 $'
 
 # Copyright (c) 2010 Michael Jahn
 #
@@ -183,25 +183,26 @@
             'director'          : 'Ting Chung (1)',
             'plot'              : False,
             'cast'              : 'John Liu Chung-Liang' + _(' as ') + 'Ma Tien Lang\n\
-Phillip Ko Fei' + _(' as ') + 'Fang Kang and his brother\n\
 Stephen Tung Wai\n\
+Tong Bo-Wan' + _(' as ') + 'Ma\'s wife\n\
 Suen Yuet\n\
-Wong Chi-Sang' + _(' as ') + 'Henchman\n\
+Phillip Ko Fei' + _(' as ') + 'Fang Kang and his brother\n\
 Ga Hoi\n\
-Tong Bo-Wan' + _(' as ') + 'Ma\'s wife\n\
+Wong Kwok-Fai (2)' + _(' as ') + 'Fei Hu\n\
 Peng Kong' + _(' as ') + 'Fei Lung\n\
 Wong Hoi (3)\n\
-Chen Chin-Hai' + _(' as ') + 'extra\n\
-Mau Ging-Shun' + _(' as ') + 'extra\n\
-Wong Kwok-Fai (2)\n\
-Peter Chang\n\
-Cheung Chung-Kwai\n\
-Lui Wan-Biu' + _(' as ') + 'extra\n\
-Hung Ji-Yue\n\
+Wong Chi-Sang' + _(' as ') + 'Henchman\n\
 Ho Szu-Yuan\n\
+Hung Ji-Yue\n\
+San Bao\n\
+Cheung Chung-Kwai (1)\n\
+Peter Chang Chi-Long\n\
 Mark Lung Goon-Mo\n\
-Chan Jan (1)' + _(' as ') + 'extra\n\
-Fan Fung-San' + _(' as ') + 'extra',
+Fan Fung-San' + _(' as ') + '[Extra]\n\
+Chan Jan (1)' + _(' as ') + '[Extra]\n\
+Chen Chin-Hai' + _(' as ') + '[Extra]\n\
+Mau Ging-Shun' + _(' as ') + '[Extra]\n\
+Lui Wan-Biu' + _(' as ') + '[Extra]',
             'country'           : 'Taiwan',
             'genre'             : 'Martial Arts',
             'classification'    : False,
diff -ur -x .svn -x .git -x .bzr -x CVS griffith-0.13/lib/plugins/movie/PluginMovieIMDB-de.py trunk/lib/plugins/movie/PluginMovieIMDB-de.py
--- griffith-0.13/lib/plugins/movie/PluginMovieIMDB-de.py	2011-08-31 09:40:41.000000000 +0300
+++ trunk/lib/plugins/movie/PluginMovieIMDB-de.py	2013-07-27 18:37:05.673547595 +0300
@@ -1,8 +1,8 @@
 # -*- coding: UTF-8 -*-
 
-__revision__ = '$Id: PluginMovieIMDB-de.py 1577 2011-08-30 21:13:26Z mikej06 $'
+__revision__ = '$Id: PluginMovieIMDB-de.py 1638 2013-01-29 21:36:08Z mikej06 $'
 
-# Copyright (c) 2007-2011 Michael Jahn
+# Copyright (c) 2007-2012 Michael Jahn
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -30,7 +30,7 @@
 plugin_language     = _('German')
 plugin_author       = 'Michael Jahn'
 plugin_author_email = 'mikej06@hotmail.com'
-plugin_version      = '1.8'
+plugin_version      = '1.9'
 
 class Plugin(movie.Movie):
     def __init__(self, id):
@@ -247,42 +247,35 @@
         return data
 
 class SearchPlugin(movie.SearchMovie):
-    PATTERN = re.compile(r"""<a href=['"]/title/tt([0-9]+)/["'](.*?)</tr>""", re.IGNORECASE)
-    PATTERN_POWERSEARCH = re.compile(r"""Here are the [0-9]+ matching titles""")
+    PATTERN = re.compile(r"""<a href=['"]/title/tt([0-9]+)/[^>]+[>](.*?)</td>""")
+    PATTERN_DIRECT = re.compile(r"""value="/title/tt([0-9]+)""")
 
     def __init__(self):
-        self.original_url_search   = 'http://www.imdb.de/find?more=tt&q='
-        self.translated_url_search = 'http://www.imdb.de/find?more=tt&q='
+        self.original_url_search   = 'http://www.imdb.de/find?s=tt&q='
+        self.translated_url_search = 'http://www.imdb.de/find?s=tt&q='
         self.encode                = 'utf8'
         self.remove_accents        = False
 
     def search(self,parent_window):
         if not self.open_search(parent_window):
             return None
-        tmp = gutils.trim(self.page, ' angezeigt)', ' Treffergenauigkeit')
-        if tmp == '':
-            if self.PATTERN_POWERSEARCH.search(self.page) is None:
-                self.page = ''
-        else:
-            self.page = tmp
-        # correction of all &#xxx entities
-        self.page = self.page.decode('iso8859-1')
-        self.page = gutils.convert_entities(self.page)
-        #self.page = self.page.encode(self.encode)
         return self.page
-
+    
     def get_searches(self):
-        elements = string.split(self.page, '<tr>')
-        if len(elements) < 2:
-            elements = string.split(self.page, '<TR>')
-
+        elements = string.split(self.page, '<tr')
         if len(elements):
             for element in elements[1:]:
                 match = self.PATTERN.findall(element)
-                for entry in match:
-                    tmp  = re.sub('^[0-9]+[.]', '', gutils.clean(gutils.after(entry[1], '>')))
-                    self.ids.append(entry[0])
+                if len(match) > 1:
+                    tmp = re.sub('^[0-9]+[.]', '', gutils.clean(match[1][1]))
+                    self.ids.append(match[1][0])
                     self.titles.append(tmp)
+        if len(self.ids) < 2:
+            # try to find a direct result
+            match = self.PATTERN_DIRECT.findall(self.page)
+            if len(match) > 0:
+                self.ids.append(match[0])
+
 
 #
 # Plugin Test
@@ -293,8 +286,8 @@
     # dict { movie_id -> [ expected result count for original url, expected result count for translated url ] }
     #
     test_configuration = {
-        'Rocky Balboa'         : [ 25, 25 ],
-        'Ein glückliches Jahr' : [ 47, 47 ]
+        'Rocky Balboa'         : [ 10, 10 ],
+        'Ein glückliches Jahr' : [ 3, 3 ]
     }
 
 class PluginTest:
@@ -377,6 +370,7 @@
 D.T. Carney' + _(' as ') + 'High Roller (nicht im Abspann)\n\
 Ricky Cavazos' + _(' as ') + 'Boxing Spectator (nicht im Abspann)\n\
 Rennie Cowan' + _(' as ') + 'Boxing Spectator (nicht im Abspann)\n\
+Kevin Deon' + _(' as ') + 'Jeno (nicht im Abspann)\n\
 Deon Derrico' + _(' as ') + 'High Roller at Limo (nicht im Abspann)\n\
 Jacob \'Stitch\' Duran' + _(' as ') + 'Dixon\'s Trainer (nicht im Abspann)\n\
 Simon P. Edwards' + _(' as ') + 'Crowd Member (nicht im Abspann)\n\
@@ -390,6 +384,7 @@
 Dean Mauro' + _(' as ') + 'Sports Journalist (nicht im Abspann) (unbestätigt)\n\
 Burgess Meredith' + _(' as ') + 'Mickey Goldmill (Archivmaterial) (nicht im Abspann)\n\
 Dan Montero' + _(' as ') + 'Boxing Spectator (nicht im Abspann)\n\
+Babs Moran' + _(' as ') + 'Obnoxious Fan (nicht im Abspann)\n\
 Keith Moyer' + _(' as ') + 'Bargast (nicht im Abspann)\n\
 Mr. T' + _(' as ') + 'Clubber Lang (Archivmaterial) (nicht im Abspann)\n\
 Carol Anne Mueller' + _(' as ') + 'Restaurant Patron (nicht im Abspann)\n\
@@ -400,8 +395,8 @@
 Ryan Tygh' + _(' as ') + 'Ring Photographer (nicht im Abspann)\n\
 Kimberly Villanova' + _(' as ') + 'Businesswoman (nicht im Abspann)',
             'country'           : 'USA',
-            'genre'             : 'Action | Drama | Romanze | Sport',
-            'classification'    : False,
+            'genre'             : 'Drama | Sport',
+            'classification'    : '12',
             'studio'            : 'Metro-Goldwyn-Mayer (MGM) (presents) (copyright owner), Columbia Pictures (presents) (copyright owner), Revolution Studios (presents) (copyright owner), Rogue Marble',
             'o_site'            : False,
             'site'              : 'http://www.imdb.de/title/tt0479143',
@@ -443,7 +438,7 @@
 Jacques Villedieu\n\
 Harry Walter übrige Besetzung in alphabetischer Reihenfolge:\n\
 Anouk Aimée' + _(' as ') + 'Une femme (Archivmaterial) (nicht im Abspann)\n\
-Elie Chouraqui' + _(' as ') + ' (nicht im Abspann)\n\
+Élie Chouraqui' + _(' as ') + ' (nicht im Abspann)\n\
 Rémy Julienne' + _(' as ') + 'Chauffeur de taxi (nicht im Abspann)\n\
 Jean-Louis Trintignant' + _(' as ') + 'Un homme (Archivmaterial) (nicht im Abspann)',
             'country'            : 'Frankreich | Italien',
